libzypp 17.38.15

Resolvable.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <zypp-core/Globals.h>`
`#include <zypp/base/ReferenceCounted.h>`
`#include <zypp-core/base/NonCopyable.h>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp/sat/SolvableType.h>`

Go to the source code of this file.

## Classes
class | zypp::Resolvable
| Base for resolvable objects. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const Resolvable &obj)
| relates: Resolvable Stream output
std::ostream & | zypp::dumpOn (std::ostream &str, const Resolvable &obj)
| relates: Resolvable More verbose stream output including dependencies
template<class TRes>
bool | zypp::isKind (const Resolvable::constPtr &p)
| Test whether a Resolvable::Ptr is of a certain Kind.
template<>
bool | zypp::isKind< Resolvable > (const Resolvable::constPtr &p)
template<>
bool | zypp::isKind< ResObject > (const Resolvable::constPtr &p)
template<class TRes>
ResTraits< TRes >::PtrType | zypp::asKind (const ResObject::Ptr &p)
| Convert ResObject::Ptr into Ptr of a certain Kind.
template<class TRes>
ResTraits< TRes >::constPtrType | zypp::asKind (const ResObject::constPtr &p)
int | zypp::compareByN (const Resolvable::constPtr &lhs, const Resolvable::constPtr &rhs)
| relates: Resolvable Compare Resolvable::constPtr according to kind and name.
int | zypp::compareByNVR (const Resolvable::constPtr &lhs, const Resolvable::constPtr &rhs)
| relates: Resolvable Compare according to kind, name and edition.
int | zypp::compareByNVRA (const Resolvable::constPtr &lhs, const Resolvable::constPtr &rhs)
| relates: Resolvable Compare Resolvable::constPtr according to kind, name, edition and arch.